<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-sdk](./iceshrimp-sdk.md) &gt; [entities](./iceshrimp-sdk.entities.md) &gt; [MessagingMessage](./iceshrimp-sdk.entities.messagingmessage.md)

## entities.MessagingMessage type

**Signature:**

```typescript
export type MessagingMessage = {
    id: ID;
    createdAt: DateString;
    file: DriveFile | null;
    fileId: DriveFile["id"] | null;
    isRead: boolean;
    reads: User["id"][];
    text: string | null;
    user: User;
    userId: User["id"];
    recipient?: User | null;
    recipientId: User["id"] | null;
    group?: UserGroup | null;
    groupId: UserGroup["id"] | null;
};
```
**References:** [ID](./iceshrimp-sdk.entities.id.md)<!-- -->, [DateString](./iceshrimp-sdk.entities.datestring.md)<!-- -->, [DriveFile](./iceshrimp-sdk.entities.drivefile.md)<!-- -->, [User](./iceshrimp-sdk.entities.user.md)<!-- -->, [UserGroup](./iceshrimp-sdk.entities.usergroup.md)

